<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>position: sticky</title>
    <style>
        body {
            min-height: 3000px
        }

        h1 {
            background: #16a085;
        }

        h2 {
            background: #ff9933;
            position: sticky;
            top: 0;
        }
    </style>
</head>
<body>
    <h1>Lorem</h1>
    <h2>Lorem ipsum</h2>

    <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquid aut dolore, ducimus et fugiat harum id, in
        ipsam, itaque maiores maxime minima modi neque nihil nulla repudiandae sed sit velit.
    </div>
    <div>Nihil quibusdam recusandae reprehenderit. At illo ipsa non velit! Aliquid architecto at delectus dolorem, eos
        eveniet, fugiat hic natus optio, perspiciatis quod recusandae sequi temporibus vero voluptate! Molestias sequi,
        voluptates?
    </div>
    <div>Amet distinctio dolorum quod repellendus rerum. Ab adipisci animi at eius est et eveniet excepturi expedita
        fugiat illo illum laudantium magnam molestiae nisi nobis numquam quam quod soluta, sunt temporibus.
    </div>
    <div>Accusantium, adipisci aperiam, assumenda consectetur culpa eius facere harum illo minus natus necessitatibus
        neque nobis nostrum nulla odit omnis qui quibusdam quidem quo ratione rem sed suscipit velit veniam
        voluptatibus.
    </div>
    <div>Asperiores enim error, expedita facilis id impedit laudantium, magni maiores neque odit pariatur ratione
        repellat saepe tempore voluptas. Ab aliquam at corporis cum earum, ipsam provident soluta tempora veritatis
        voluptatum?
    </div>
    <div>Amet architecto consequuntur deleniti dignissimos, distinctio dolores ex expedita iste magnam maiores nemo non
        odio, omnis, placeat quo quod unde. Dolor officiis possimus rerum veritatis. Aspernatur iusto molestias non
        provident!
    </div>
    <div>Ad cumque delectus deserunt distinctio, earum illo ipsum iusto magni maiores neque, nesciunt officiis porro
        quam soluta tenetur totam ullam! Assumenda natus nihil odit possimus quibusdam, quo saepe sit ullam.
    </div>
    <div>Accusamus accusantium ad aliquid animi aut consequuntur cum ducimus est fugiat illo necessitatibus nisi
        perferendis quae, quasi quo quos ratione, reprehenderit saepe sequi similique suscipit ut voluptas voluptatem!
        Architecto, illo.
    </div>
    <div>Cumque dolor explicabo hic mollitia neque nobis quasi, sint suscipit. Cupiditate dolor doloremque id molestias
        quis rerum tenetur ut vitae! Error id laudantium libero numquam officiis omnis placeat rem rerum.
    </div>
    <div>Autem consequatur minima obcaecati qui quidem similique sit! Ad aperiam autem consectetur culpa cumque deleniti
        doloremque explicabo impedit magnam maiores officia omnis, provident quia quisquam repudiandae rerum tempora
        veritatis voluptate.
    </div>
</body>
</html>